1#! /bin/sh
2# Generated by configure.
3# Run this file to recreate the current configuration.
4# Compiler output produced by configure, useful for debugging
5# configure, is in config.log if it exists.
6
7debug=false
8ac_cs_recheck=false
9ac_cs_silent=false
10SHELL=${CONFIG_SHELL-/bin/sh}
11## --------------------- ##
12## M4sh Initialization.  ##
13## --------------------- ##
14
15# Be Bourne compatible
16if test -n "${ZSH_VERSION+set}" && (emulate sh) >/dev/null 2>&1; then
17  emulate sh
18  NULLCMD=:
19  # Zsh 3.x and 4.x performs word splitting on ${1+"$@"}, which
20  # is contrary to our usage.  Disable this feature.
21  alias -g '${1+"$@"}'='"$@"'
22elif test -n "${BASH_VERSION+set}" && (set -o posix) >/dev/null 2>&1; then
23  set -o posix
24fi
25DUALCASE=1; export DUALCASE # for MKS sh
26
27# Support unset when possible.
28if ( (MAIL=60; unset MAIL) || exit) >/dev/null 2>&1; then
29  as_unset=unset
30else
31  as_unset=false
32fi
33
34
35# Work around bugs in pre-3.0 UWIN ksh.
36$as_unset ENV MAIL MAILPATH
37PS1='$ '
38PS2='> '
39PS4='+ '
40
41# NLS nuisances.
42for as_var in \
43  LANG LANGUAGE LC_ADDRESS LC_ALL LC_COLLATE LC_CTYPE LC_IDENTIFICATION \
44  LC_MEASUREMENT LC_MESSAGES LC_MONETARY LC_NAME LC_NUMERIC LC_PAPER \
45  LC_TELEPHONE LC_TIME
46do
47  if (set +x; test -z "`(eval $as_var=C; export $as_var) 2>&1`"); then
48    eval $as_var=C; export $as_var
49  else
50    $as_unset $as_var
51  fi
52done
53
54# Required to use basename.
55if expr a : '\(a\)' >/dev/null 2>&1; then
56  as_expr=expr
57else
58  as_expr=false
59fi
60
61if (basename /) >/dev/null 2>&1 && test "X`basename / 2>&1`" = "X/"; then
62  as_basename=basename
63else
64  as_basename=false
65fi
66
67
68# Name of the executable.
69as_me=`$as_basename "$0" ||
70$as_expr X/"$0" : '.*/\([^/][^/]*\)/*$' \| \
71	 X"$0" : 'X\(//\)$' \| \
72	 X"$0" : 'X\(/\)$' \| \
73	 .     : '\(.\)' 2>/dev/null ||
74echo X/"$0" |
75    sed '/^.*\/\([^/][^/]*\)\/*$/{ s//\1/; q; }
76  	  /^X\/\(\/\/\)$/{ s//\1/; q; }
77  	  /^X\/\(\/\).*/{ s//\1/; q; }
78  	  s/.*/./; q'`
79
80
81# PATH needs CR, and LINENO needs CR and PATH.
82# Avoid depending upon Character Ranges.
83as_cr_letters='abcdefghijklmnopqrstuvwxyz'
84as_cr_LETTERS='ABCDEFGHIJKLMNOPQRSTUVWXYZ'
85as_cr_Letters=$as_cr_letters$as_cr_LETTERS
86as_cr_digits='0123456789'
87as_cr_alnum=$as_cr_Letters$as_cr_digits
88
89# The user is always right.
90if test "${PATH_SEPARATOR+set}" != set; then
91  echo "#! /bin/sh" >conf$$.sh
92  echo  "exit 0"   >>conf$$.sh
93  chmod +x conf$$.sh
94  if (PATH="/nonexistent;."; conf$$.sh) >/dev/null 2>&1; then
95    PATH_SEPARATOR=';'
96  else
97    PATH_SEPARATOR=:
98  fi
99  rm -f conf$$.sh
100fi
101
102
103  as_lineno_1=$LINENO
104  as_lineno_2=$LINENO
105  as_lineno_3=`(expr $as_lineno_1 + 1) 2>/dev/null`
106  test "x$as_lineno_1" != "x$as_lineno_2" &&
107  test "x$as_lineno_3"  = "x$as_lineno_2"  || {
108  # Find who we are.  Look in the path if we contain no path at all
109  # relative or not.
110  case $0 in
111    *[\\/]* ) as_myself=$0 ;;
112    *) as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
113for as_dir in $PATH
114do
115  IFS=$as_save_IFS
116  test -z "$as_dir" && as_dir=.
117  test -r "$as_dir/$0" && as_myself=$as_dir/$0 && break
118done
119
120       ;;
121  esac
122  # We did not find ourselves, most probably we were run as `sh COMMAND'
123  # in which case we are not to be found in the path.
124  if test "x$as_myself" = x; then
125    as_myself=$0
126  fi
127  if test ! -f "$as_myself"; then
128    { { echo "$as_me:$LINENO: error: cannot find myself; rerun with an absolute path" >&5
129echo "$as_me: error: cannot find myself; rerun with an absolute path" >&2;}
130   { (exit 1); exit 1; }; }
131  fi
132  case $CONFIG_SHELL in
133  '')
134    as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
135for as_dir in /bin$PATH_SEPARATOR/usr/bin$PATH_SEPARATOR$PATH
136do
137  IFS=$as_save_IFS
138  test -z "$as_dir" && as_dir=.
139  for as_base in sh bash ksh sh5; do
140	 case $as_dir in
141	 /*)
142	   if ("$as_dir/$as_base" -c '
143  as_lineno_1=$LINENO
144  as_lineno_2=$LINENO
145  as_lineno_3=`(expr $as_lineno_1 + 1) 2>/dev/null`
146  test "x$as_lineno_1" != "x$as_lineno_2" &&
147  test "x$as_lineno_3"  = "x$as_lineno_2" ') 2>/dev/null; then
148	     $as_unset BASH_ENV || test "${BASH_ENV+set}" != set || { BASH_ENV=; export BASH_ENV; }
149	     $as_unset ENV || test "${ENV+set}" != set || { ENV=; export ENV; }
150	     CONFIG_SHELL=$as_dir/$as_base
151	     export CONFIG_SHELL
152	     exec "$CONFIG_SHELL" "$0" ${1+"$@"}
153	   fi;;
154	 esac
155       done
156done
157;;
158  esac
159
160  # Create $as_me.lineno as a copy of $as_myself, but with $LINENO
161  # uniformly replaced by the line number.  The first 'sed' inserts a
162  # line-number line before each line; the second 'sed' does the real
163  # work.  The second script uses 'N' to pair each line-number line
164  # with the numbered line, and appends trailing '-' during
165  # substitution so that $LINENO is not a special case at line end.
166  # (Raja R Harinath suggested sed '=', and Paul Eggert wrote the
167  # second 'sed' script.  Blame Lee E. McMahon for sed's syntax.  :-)
168  sed '=' <$as_myself |
169    sed '
170      N
171      s,$,-,
172      : loop
173      s,^\(['$as_cr_digits']*\)\(.*\)[$]LINENO\([^'$as_cr_alnum'_]\),\1\2\1\3,
174      t loop
175      s,-$,,
176      s,^['$as_cr_digits']*\n,,
177    ' >$as_me.lineno &&
178  chmod +x $as_me.lineno ||
179    { { echo "$as_me:$LINENO: error: cannot create $as_me.lineno; rerun with a POSIX shell" >&5
180echo "$as_me: error: cannot create $as_me.lineno; rerun with a POSIX shell" >&2;}
181   { (exit 1); exit 1; }; }
182
183  # Don't try to exec as it changes $[0], causing all sort of problems
184  # (the dirname of $[0] is not the place where we might find the
185  # original and so on.  Autoconf is especially sensible to this).
186  . ./$as_me.lineno
187  # Exit status is that of the last command.
188  exit
189}
190
191
192case `echo "testing\c"; echo 1,2,3`,`echo -n testing; echo 1,2,3` in
193  *c*,-n*) ECHO_N= ECHO_C='
194' ECHO_T='	' ;;
195  *c*,*  ) ECHO_N=-n ECHO_C= ECHO_T= ;;
196  *)       ECHO_N= ECHO_C='\c' ECHO_T= ;;
197esac
198
199if expr a : '\(a\)' >/dev/null 2>&1; then
200  as_expr=expr
201else
202  as_expr=false
203fi
204
205rm -f conf$$ conf$$.exe conf$$.file
206echo >conf$$.file
207if ln -s conf$$.file conf$$ 2>/dev/null; then
208  # We could just check for DJGPP; but this test a) works b) is more generic
209  # and c) will remain valid once DJGPP supports symlinks (DJGPP 2.04).
210  if test -f conf$$.exe; then
211    # Don't use ln at all; we don't have any links
212    as_ln_s='cp -p'
213  else
214    as_ln_s='ln -s'
215  fi
216elif ln conf$$.file conf$$ 2>/dev/null; then
217  as_ln_s=ln
218else
219  as_ln_s='cp -p'
220fi
221rm -f conf$$ conf$$.exe conf$$.file
222
223if mkdir -p . 2>/dev/null; then
224  as_mkdir_p=:
225else
226  test -d ./-p && rmdir ./-p
227  as_mkdir_p=false
228fi
229
230as_executable_p="test -f"
231
232# Sed expression to map a string onto a valid CPP name.
233as_tr_cpp="eval sed 'y%*$as_cr_letters%P$as_cr_LETTERS%;s%[^_$as_cr_alnum]%_%g'"
234
235# Sed expression to map a string onto a valid variable name.
236as_tr_sh="eval sed 'y%*+%pp%;s%[^_$as_cr_alnum]%_%g'"
237
238
239# IFS
240# We need space, tab and new line, in precisely that order.
241as_nl='
242'
243IFS=" 	$as_nl"
244
245# CDPATH.
246$as_unset CDPATH
247
248exec 6>&1
249
250# Open the log real soon, to keep \$[0] and so on meaningful, and to
251# report actual input values of CONFIG_FILES etc. instead of their
252# values after options handling.  Logging --version etc. is OK.
253exec 5>>config.log
254{
255  echo
256  sed 'h;s/./-/g;s/^.../## /;s/...$/ ##/;p;x;p;x' <<_ASBOX
257## Running $as_me. ##
258_ASBOX
259} >&5
260cat >&5 <<_CSEOF
261
262This file was extended by GNU Bison $as_me 2.3, which was
263generated by GNU Autoconf 2.59.  Invocation command line was
264
265  CONFIG_FILES    = $CONFIG_FILES
266  CONFIG_HEADERS  = $CONFIG_HEADERS
267  CONFIG_LINKS    = $CONFIG_LINKS
268  CONFIG_COMMANDS = $CONFIG_COMMANDS
269  $ $0 $@
270
271_CSEOF
272echo "on `(hostname || uname -n) 2>/dev/null | sed 1q`" >&5
273echo >&5
274config_files=" runtime-po/Makefile.in tests/Makefile tests/atlocal tests/bison Makefile build-aux/Makefile po/Makefile.in data/Makefile examples/Makefile examples/calc++/Makefile lib/Makefile src/Makefile doc/Makefile"
275config_headers=" config.h:config.hin"
276config_commands=" depfiles default-1 tests/atconfig"
277
278ac_cs_usage="\
279\`$as_me' instantiates files from templates according to the
280current configuration.
281
282Usage: $0 [OPTIONS] [FILE]...
283
284  -h, --help       print this help, then exit
285  -V, --version    print version number, then exit
286  -q, --quiet      do not print progress messages
287  -d, --debug      don't remove temporary files
288      --recheck    update $as_me by reconfiguring in the same conditions
289  --file=FILE[:TEMPLATE]
290		   instantiate the configuration file FILE
291  --header=FILE[:TEMPLATE]
292		   instantiate the configuration header FILE
293
294Configuration files:
295$config_files
296
297Configuration headers:
298$config_headers
299
300Configuration commands:
301$config_commands
302
303Report bugs to <bug-autoconf@gnu.org>."
304ac_cs_version="\
305GNU Bison config.status 2.3
306configured by ./configure, generated by GNU Autoconf 2.59,
307  with options \"'--prefix' '/home/phanna/src/bison'\"
308
309Copyright (C) 2003 Free Software Foundation, Inc.
310This config.status script is free software; the Free Software Foundation
311gives unlimited permission to copy, distribute and modify it."
312srcdir=.
313INSTALL="/usr/bin/install -c"
314# If no file are specified by the user, then we need to provide default
315# value.  By we need to know if files were specified by the user.
316ac_need_defaults=:
317while test $# != 0
318do
319  case $1 in
320  --*=*)
321    ac_option=`expr "x$1" : 'x\([^=]*\)='`
322    ac_optarg=`expr "x$1" : 'x[^=]*=\(.*\)'`
323    ac_shift=:
324    ;;
325  -*)
326    ac_option=$1
327    ac_optarg=$2
328    ac_shift=shift
329    ;;
330  *) # This is not an option, so the user has probably given explicit
331     # arguments.
332     ac_option=$1
333     ac_need_defaults=false;;
334  esac
335
336  case $ac_option in
337  # Handling of the options.
338  -recheck | --recheck | --rechec | --reche | --rech | --rec | --re | --r)
339    ac_cs_recheck=: ;;
340  --version | --vers* | -V )
341    echo "$ac_cs_version"; exit 0 ;;
342  --he | --h)
343    # Conflict between --help and --header
344    { { echo "$as_me:$LINENO: error: ambiguous option: $1
345Try \`$0 --help' for more information." >&5
346echo "$as_me: error: ambiguous option: $1
347Try \`$0 --help' for more information." >&2;}
348   { (exit 1); exit 1; }; };;
349  --help | --hel | -h )
350    echo "$ac_cs_usage"; exit 0 ;;
351  --debug | --d* | -d )
352    debug=: ;;
353  --file | --fil | --fi | --f )
354    $ac_shift
355    CONFIG_FILES="$CONFIG_FILES $ac_optarg"
356    ac_need_defaults=false;;
357  --header | --heade | --head | --hea )
358    $ac_shift
359    CONFIG_HEADERS="$CONFIG_HEADERS $ac_optarg"
360    ac_need_defaults=false;;
361  -q | -quiet | --quiet | --quie | --qui | --qu | --q \
362  | -silent | --silent | --silen | --sile | --sil | --si | --s)
363    ac_cs_silent=: ;;
364
365  # This is an error.
366  -*) { { echo "$as_me:$LINENO: error: unrecognized option: $1
367Try \`$0 --help' for more information." >&5
368echo "$as_me: error: unrecognized option: $1
369Try \`$0 --help' for more information." >&2;}
370   { (exit 1); exit 1; }; } ;;
371
372  *) ac_config_targets="$ac_config_targets $1" ;;
373
374  esac
375  shift
376done
377
378ac_configure_extra_args=
379
380if $ac_cs_silent; then
381  exec 6>/dev/null
382  ac_configure_extra_args="$ac_configure_extra_args --silent"
383fi
384
385if $ac_cs_recheck; then
386  echo "running /bin/sh ./configure " '--prefix' '/home/phanna/src/bison' $ac_configure_extra_args " --no-create --no-recursion" >&6
387  exec /bin/sh ./configure '--prefix' '/home/phanna/src/bison' $ac_configure_extra_args --no-create --no-recursion
388fi
389
390#
391# INIT-COMMANDS section.
392#
393
394AMDEP_TRUE="" ac_aux_dir="build-aux"
395# Capture the value of obsolete ALL_LINGUAS because we need it to compute
396    # POFILES, UPDATEPOFILES, DUMMYPOFILES, GMOFILES, CATALOGS. But hide it
397    # from automake.
398    eval 'OBSOLETE_ALL_LINGUAS''=""'
399    # Capture the value of LINGUAS because we need it to compute CATALOGS.
400    LINGUAS="%UNSET%"
401
402
403for ac_config_target in $ac_config_targets
404do
405  case "$ac_config_target" in
406  # Handling of arguments.
407  "runtime-po/Makefile.in" ) CONFIG_FILES="$CONFIG_FILES runtime-po/Makefile.in" ;;
408  "tests/Makefile" ) CONFIG_FILES="$CONFIG_FILES tests/Makefile" ;;
409  "tests/atlocal" ) CONFIG_FILES="$CONFIG_FILES tests/atlocal" ;;
410  "tests/bison" ) CONFIG_FILES="$CONFIG_FILES tests/bison" ;;
411  "Makefile" ) CONFIG_FILES="$CONFIG_FILES Makefile" ;;
412  "build-aux/Makefile" ) CONFIG_FILES="$CONFIG_FILES build-aux/Makefile" ;;
413  "po/Makefile.in" ) CONFIG_FILES="$CONFIG_FILES po/Makefile.in" ;;
414  "data/Makefile" ) CONFIG_FILES="$CONFIG_FILES data/Makefile" ;;
415  "examples/Makefile" ) CONFIG_FILES="$CONFIG_FILES examples/Makefile" ;;
416  "examples/calc++/Makefile" ) CONFIG_FILES="$CONFIG_FILES examples/calc++/Makefile" ;;
417  "lib/Makefile" ) CONFIG_FILES="$CONFIG_FILES lib/Makefile" ;;
418  "src/Makefile" ) CONFIG_FILES="$CONFIG_FILES src/Makefile" ;;
419  "doc/Makefile" ) CONFIG_FILES="$CONFIG_FILES doc/Makefile" ;;
420  "depfiles" ) CONFIG_COMMANDS="$CONFIG_COMMANDS depfiles" ;;
421  "default-1" ) CONFIG_COMMANDS="$CONFIG_COMMANDS default-1" ;;
422  "tests/atconfig" ) CONFIG_COMMANDS="$CONFIG_COMMANDS tests/atconfig" ;;
423  "config.h" ) CONFIG_HEADERS="$CONFIG_HEADERS config.h:config.hin" ;;
424  *) { { echo "$as_me:$LINENO: error: invalid argument: $ac_config_target" >&5
425echo "$as_me: error: invalid argument: $ac_config_target" >&2;}
426   { (exit 1); exit 1; }; };;
427  esac
428done
429
430# If the user did not use the arguments to specify the items to instantiate,
431# then the envvar interface is used.  Set only those that are not.
432# We use the long form for the default assignment because of an extremely
433# bizarre bug on SunOS 4.1.3.
434if $ac_need_defaults; then
435  test "${CONFIG_FILES+set}" = set || CONFIG_FILES=$config_files
436  test "${CONFIG_HEADERS+set}" = set || CONFIG_HEADERS=$config_headers
437  test "${CONFIG_COMMANDS+set}" = set || CONFIG_COMMANDS=$config_commands
438fi
439
440# Have a temporary directory for convenience.  Make it in the build tree
441# simply because there is no reason to put it here, and in addition,
442# creating and moving files from /tmp can sometimes cause problems.
443# Create a temporary directory, and hook for its removal unless debugging.
444$debug ||
445{
446  trap 'exit_status=$?; rm -rf $tmp && exit $exit_status' 0
447  trap '{ (exit 1); exit 1; }' 1 2 13 15
448}
449
450# Create a (secure) tmp directory for tmp files.
451
452{
453  tmp=`(umask 077 && mktemp -d -q "./confstatXXXXXX") 2>/dev/null` &&
454  test -n "$tmp" && test -d "$tmp"
455}  ||
456{
457  tmp=./confstat$$-$RANDOM
458  (umask 077 && mkdir $tmp)
459} ||
460{
461   echo "$me: cannot create a temporary directory in ." >&2
462   { (exit 1); exit 1; }
463}
464
465
466#
467# CONFIG_FILES section.
468#
469
470# No need to generate the scripts if there are no CONFIG_FILES.
471# This happens for instance when ./config.status config.h
472if test -n "$CONFIG_FILES"; then
473  # Protect against being on the right side of a sed subst in config.status.
474  sed 's/,@/@@/; s/@,/@@/; s/,;t t$/@;t t/; /@;t t$/s/[\\&,]/\\&/g;
475   s/@@/,@/; s/@@/@,/; s/@;t t$/,;t t/' >$tmp/subs.sed <<\CEOF
476s,@SHELL@,/bin/sh,;t t
477s,@PATH_SEPARATOR@,:,;t t
478s,@PACKAGE_NAME@,GNU Bison,;t t
479s,@PACKAGE_TARNAME@,bison,;t t
480s,@PACKAGE_VERSION@,2.3,;t t
481s,@PACKAGE_STRING@,GNU Bison 2.3,;t t
482s,@PACKAGE_BUGREPORT@,bug-bison@gnu.org,;t t
483s,@exec_prefix@,${prefix},;t t
484s,@prefix@,/home/phanna/src/bison,;t t
485s,@program_transform_name@,s,x,x,,;t t
486s,@bindir@,${exec_prefix}/bin,;t t
487s,@sbindir@,${exec_prefix}/sbin,;t t
488s,@libexecdir@,${exec_prefix}/libexec,;t t
489s,@datadir@,${prefix}/share,;t t
490s,@sysconfdir@,${prefix}/etc,;t t
491s,@sharedstatedir@,${prefix}/com,;t t
492s,@localstatedir@,${prefix}/var,;t t
493s,@libdir@,${exec_prefix}/lib,;t t
494s,@includedir@,${prefix}/include,;t t
495s,@oldincludedir@,/usr/include,;t t
496s,@infodir@,${prefix}/info,;t t
497s,@mandir@,${prefix}/man,;t t
498s,@build_alias@,,;t t
499s,@host_alias@,,;t t
500s,@target_alias@,,;t t
501s,@DEFS@,-DHAVE_CONFIG_H,;t t
502s,@ECHO_C@,,;t t
503s,@ECHO_N@,-n,;t t
504s,@ECHO_T@,,;t t
505s,@LIBS@,,;t t
506s,@INSTALL_PROGRAM@,${INSTALL},;t t
507s,@INSTALL_SCRIPT@,${INSTALL},;t t
508s,@INSTALL_DATA@,${INSTALL} -m 644,;t t
509s,@CYGPATH_W@,echo,;t t
510s,@PACKAGE@,bison,;t t
511s,@VERSION@,2.3,;t t
512s,@ACLOCAL@,${SHELL} /usr/local/google/workspace/WebKit/tools/bison-2.3/build-aux/missing --run aclocal-1.9,;t t
513s,@AUTOCONF@,${SHELL} /usr/local/google/workspace/WebKit/tools/bison-2.3/build-aux/missing --run autoconf,;t t
514s,@AUTOMAKE@,${SHELL} /usr/local/google/workspace/WebKit/tools/bison-2.3/build-aux/missing --run automake-1.9,;t t
515s,@AUTOHEADER@,${SHELL} /usr/local/google/workspace/WebKit/tools/bison-2.3/build-aux/missing --run autoheader,;t t
516s,@MAKEINFO@,${SHELL} /usr/local/google/workspace/WebKit/tools/bison-2.3/build-aux/missing --run makeinfo,;t t
517s,@install_sh@,/usr/local/google/workspace/WebKit/tools/bison-2.3/build-aux/install-sh,;t t
518s,@STRIP@,,;t t
519s,@ac_ct_STRIP@,,;t t
520s,@INSTALL_STRIP_PROGRAM@,${SHELL} $(install_sh) -c -s,;t t
521s,@mkdir_p@,mkdir -p --,;t t
522s,@AWK@,gawk,;t t
523s,@SET_MAKE@,,;t t
524s,@am__leading_dot@,.,;t t
525s,@AMTAR@,${SHELL} /usr/local/google/workspace/WebKit/tools/bison-2.3/build-aux/missing --run tar,;t t
526s,@am__tar@,${AMTAR} chof - "$$tardir",;t t
527s,@am__untar@,${AMTAR} xf -,;t t
528s,@CC@,gcc,;t t
529s,@CFLAGS@,-g -O2,;t t
530s,@LDFLAGS@,,;t t
531s,@CPPFLAGS@,,;t t
532s,@ac_ct_CC@,gcc,;t t
533s,@EXEEXT@,,;t t
534s,@OBJEXT@,o,;t t
535s,@DEPDIR@,.deps,;t t
536s,@am__include@,include,;t t
537s,@am__quote@,,;t t
538s,@AMDEP_TRUE@,,;t t
539s,@AMDEP_FALSE@,#,;t t
540s,@AMDEPBACKSLASH@,\,;t t
541s,@CCDEPMODE@,depmode=gcc3,;t t
542s,@am__fastdepCC_TRUE@,,;t t
543s,@am__fastdepCC_FALSE@,#,;t t
544s,@CPP@,gcc -E,;t t
545s,@EGREP@,grep -E,;t t
546s,@WARNING_CFLAGS@,,;t t
547s,@WERROR_CFLAGS@,,;t t
548s,@WARNING_CXXFLAGS@,,;t t
549s,@YACC_SCRIPT@,yacc,;t t
550s,@YACC_LIBRARY@,liby.a,;t t
551s,@LEX@,flex,;t t
552s,@LEXLIB@,-lfl,;t t
553s,@LEX_OUTPUT_ROOT@,lex.yy,;t t
554s,@YACC@,bison -y,;t t
555s,@RANLIB@,ranlib,;t t
556s,@ac_ct_RANLIB@,ranlib,;t t
557s,@M4@,/usr/bin/m4,;t t
558s,@STDBOOL_H@,,;t t
559s,@HAVE__BOOL@,1,;t t
560s,@LIBOBJS@, dirname$U.o exitfail$U.o hard-locale$U.o hash$U.o quote$U.o quotearg$U.o fopen-safer$U.o dup-safer$U.o fd-safer$U.o pipe-safer$U.o xmalloc$U.o,;t t
561s,@GETOPT_H@,,;t t
562s,@MKINSTALLDIRS@,$(top_builddir)/build-aux/mkinstalldirs,;t t
563s,@USE_NLS@,yes,;t t
564s,@MSGFMT@,/usr/bin/msgfmt,;t t
565s,@GMSGFMT@,/usr/bin/msgfmt,;t t
566s,@XGETTEXT@,/usr/bin/xgettext,;t t
567s,@MSGMERGE@,/usr/bin/msgmerge,;t t
568s,@build@,x86_64-unknown-linux-gnu,;t t
569s,@build_cpu@,x86_64,;t t
570s,@build_vendor@,unknown,;t t
571s,@build_os@,linux-gnu,;t t
572s,@host@,x86_64-unknown-linux-gnu,;t t
573s,@host_cpu@,x86_64,;t t
574s,@host_vendor@,unknown,;t t
575s,@host_os@,linux-gnu,;t t
576s,@INTL_MACOSX_LIBS@,,;t t
577s,@LIBICONV@,-liconv,;t t
578s,@LTLIBICONV@,-liconv,;t t
579s,@INTLLIBS@,,;t t
580s,@LIBINTL@,,;t t
581s,@LTLIBINTL@,,;t t
582s,@POSUB@,po,;t t
583s,@UNISTD_H@,,;t t
584s,@BISON_LOCALEDIR@,/usr/share/locale,;t t
585s,@aclocaldir@,${datadir}/aclocal,;t t
586s,@VALGRIND@,,;t t
587s,@CXX@,g++,;t t
588s,@CXXFLAGS@,-g -O2,;t t
589s,@ac_ct_CXX@,g++,;t t
590s,@CXXDEPMODE@,depmode=gcc3,;t t
591s,@am__fastdepCXX_TRUE@,,;t t
592s,@am__fastdepCXX_FALSE@,#,;t t
593s,@BISON_CXX_WORKS@,:,;t t
594s,@BISON_CXX_WORKS_TRUE@,,;t t
595s,@BISON_CXX_WORKS_FALSE@,#,;t t
596s,@AUTOM4TE@,${SHELL} /usr/local/google/workspace/WebKit/tools/bison-2.3/build-aux/missing --run autom4te,;t t
597s,@GCC@,yes,;t t
598s,@O0CFLAGS@,-g ,;t t
599s,@O0CXXFLAGS@,-g ,;t t
600s,@LTLIBOBJS@, dirname$U.lo exitfail$U.lo hard-locale$U.lo hash$U.lo quote$U.lo quotearg$U.lo fopen-safer$U.lo dup-safer$U.lo fd-safer$U.lo pipe-safer$U.lo xmalloc$U.lo,;t t
601CEOF
602
603  # Split the substitutions into bite-sized pieces for seds with
604  # small command number limits, like on Digital OSF/1 and HP-UX.
605  ac_max_sed_lines=48
606  ac_sed_frag=1 # Number of current file.
607  ac_beg=1 # First line for current file.
608  ac_end=$ac_max_sed_lines # Line after last line for current file.
609  ac_more_lines=:
610  ac_sed_cmds=
611  while $ac_more_lines; do
612    if test $ac_beg -gt 1; then
613      sed "1,${ac_beg}d; ${ac_end}q" $tmp/subs.sed >$tmp/subs.frag
614    else
615      sed "${ac_end}q" $tmp/subs.sed >$tmp/subs.frag
616    fi
617    if test ! -s $tmp/subs.frag; then
618      ac_more_lines=false
619    else
620      # The purpose of the label and of the branching condition is to
621      # speed up the sed processing (if there are no `@' at all, there
622      # is no need to browse any of the substitutions).
623      # These are the two extra sed commands mentioned above.
624      (echo ':t
625  /@[a-zA-Z_][a-zA-Z_0-9]*@/!b' && cat $tmp/subs.frag) >$tmp/subs-$ac_sed_frag.sed
626      if test -z "$ac_sed_cmds"; then
627	ac_sed_cmds="sed -f $tmp/subs-$ac_sed_frag.sed"
628      else
629	ac_sed_cmds="$ac_sed_cmds | sed -f $tmp/subs-$ac_sed_frag.sed"
630      fi
631      ac_sed_frag=`expr $ac_sed_frag + 1`
632      ac_beg=$ac_end
633      ac_end=`expr $ac_end + $ac_max_sed_lines`
634    fi
635  done
636  if test -z "$ac_sed_cmds"; then
637    ac_sed_cmds=cat
638  fi
639fi # test -n "$CONFIG_FILES"
640
641for ac_file in : $CONFIG_FILES; do test "x$ac_file" = x: && continue
642  # Support "outfile[:infile[:infile...]]", defaulting infile="outfile.in".
643  case $ac_file in
644  - | *:- | *:-:* ) # input from stdin
645	cat >$tmp/stdin
646	ac_file_in=`echo "$ac_file" | sed 's,[^:]*:,,'`
647	ac_file=`echo "$ac_file" | sed 's,:.*,,'` ;;
648  *:* ) ac_file_in=`echo "$ac_file" | sed 's,[^:]*:,,'`
649	ac_file=`echo "$ac_file" | sed 's,:.*,,'` ;;
650  * )   ac_file_in=$ac_file.in ;;
651  esac
652
653  # Compute @srcdir@, @top_srcdir@, and @INSTALL@ for subdirectories.
654  ac_dir=`(dirname "$ac_file") 2>/dev/null ||
655$as_expr X"$ac_file" : 'X\(.*[^/]\)//*[^/][^/]*/*$' \| \
656	 X"$ac_file" : 'X\(//\)[^/]' \| \
657	 X"$ac_file" : 'X\(//\)$' \| \
658	 X"$ac_file" : 'X\(/\)' \| \
659	 .     : '\(.\)' 2>/dev/null ||
660echo X"$ac_file" |
661    sed '/^X\(.*[^/]\)\/\/*[^/][^/]*\/*$/{ s//\1/; q; }
662  	  /^X\(\/\/\)[^/].*/{ s//\1/; q; }
663  	  /^X\(\/\/\)$/{ s//\1/; q; }
664  	  /^X\(\/\).*/{ s//\1/; q; }
665  	  s/.*/./; q'`
666  { if $as_mkdir_p; then
667    mkdir -p "$ac_dir"
668  else
669    as_dir="$ac_dir"
670    as_dirs=
671    while test ! -d "$as_dir"; do
672      as_dirs="$as_dir $as_dirs"
673      as_dir=`(dirname "$as_dir") 2>/dev/null ||
674$as_expr X"$as_dir" : 'X\(.*[^/]\)//*[^/][^/]*/*$' \| \
675	 X"$as_dir" : 'X\(//\)[^/]' \| \
676	 X"$as_dir" : 'X\(//\)$' \| \
677	 X"$as_dir" : 'X\(/\)' \| \
678	 .     : '\(.\)' 2>/dev/null ||
679echo X"$as_dir" |
680    sed '/^X\(.*[^/]\)\/\/*[^/][^/]*\/*$/{ s//\1/; q; }
681  	  /^X\(\/\/\)[^/].*/{ s//\1/; q; }
682  	  /^X\(\/\/\)$/{ s//\1/; q; }
683  	  /^X\(\/\).*/{ s//\1/; q; }
684  	  s/.*/./; q'`
685    done
686    test ! -n "$as_dirs" || mkdir $as_dirs
687  fi || { { echo "$as_me:$LINENO: error: cannot create directory \"$ac_dir\"" >&5
688echo "$as_me: error: cannot create directory \"$ac_dir\"" >&2;}
689   { (exit 1); exit 1; }; }; }
690
691  ac_builddir=.
692
693if test "$ac_dir" != .; then
694  ac_dir_suffix=/`echo "$ac_dir" | sed 's,^\.[\\/],,'`
695  # A "../" for each directory in $ac_dir_suffix.
696  ac_top_builddir=`echo "$ac_dir_suffix" | sed 's,/[^\\/]*,../,g'`
697else
698  ac_dir_suffix= ac_top_builddir=
699fi
700
701case $srcdir in
702  .)  # No --srcdir option.  We are building in place.
703    ac_srcdir=.
704    if test -z "$ac_top_builddir"; then
705       ac_top_srcdir=.
706    else
707       ac_top_srcdir=`echo $ac_top_builddir | sed 's,/$,,'`
708    fi ;;
709  [\\/]* | ?:[\\/]* )  # Absolute path.
710    ac_srcdir=$srcdir$ac_dir_suffix;
711    ac_top_srcdir=$srcdir ;;
712  *) # Relative path.
713    ac_srcdir=$ac_top_builddir$srcdir$ac_dir_suffix
714    ac_top_srcdir=$ac_top_builddir$srcdir ;;
715esac
716
717# Do not use `cd foo && pwd` to compute absolute paths, because
718# the directories may not exist.
719case `pwd` in
720.) ac_abs_builddir="$ac_dir";;
721*)
722  case "$ac_dir" in
723  .) ac_abs_builddir=`pwd`;;
724  [\\/]* | ?:[\\/]* ) ac_abs_builddir="$ac_dir";;
725  *) ac_abs_builddir=`pwd`/"$ac_dir";;
726  esac;;
727esac
728case $ac_abs_builddir in
729.) ac_abs_top_builddir=${ac_top_builddir}.;;
730*)
731  case ${ac_top_builddir}. in
732  .) ac_abs_top_builddir=$ac_abs_builddir;;
733  [\\/]* | ?:[\\/]* ) ac_abs_top_builddir=${ac_top_builddir}.;;
734  *) ac_abs_top_builddir=$ac_abs_builddir/${ac_top_builddir}.;;
735  esac;;
736esac
737case $ac_abs_builddir in
738.) ac_abs_srcdir=$ac_srcdir;;
739*)
740  case $ac_srcdir in
741  .) ac_abs_srcdir=$ac_abs_builddir;;
742  [\\/]* | ?:[\\/]* ) ac_abs_srcdir=$ac_srcdir;;
743  *) ac_abs_srcdir=$ac_abs_builddir/$ac_srcdir;;
744  esac;;
745esac
746case $ac_abs_builddir in
747.) ac_abs_top_srcdir=$ac_top_srcdir;;
748*)
749  case $ac_top_srcdir in
750  .) ac_abs_top_srcdir=$ac_abs_builddir;;
751  [\\/]* | ?:[\\/]* ) ac_abs_top_srcdir=$ac_top_srcdir;;
752  *) ac_abs_top_srcdir=$ac_abs_builddir/$ac_top_srcdir;;
753  esac;;
754esac
755
756
757  case $INSTALL in
758  [\\/$]* | ?:[\\/]* ) ac_INSTALL=$INSTALL ;;
759  *) ac_INSTALL=$ac_top_builddir$INSTALL ;;
760  esac
761
762  # Let's still pretend it is `configure' which instantiates (i.e., don't
763  # use $as_me), people would be surprised to read:
764  #    /* config.h.  Generated by config.status.  */
765  if test x"$ac_file" = x-; then
766    configure_input=
767  else
768    configure_input="$ac_file.  "
769  fi
770  configure_input=$configure_input"Generated from `echo $ac_file_in |
771				     sed 's,.*/,,'` by configure."
772
773  # First look for the input files in the build tree, otherwise in the
774  # src tree.
775  ac_file_inputs=`IFS=:
776    for f in $ac_file_in; do
777      case $f in
778      -) echo $tmp/stdin ;;
779      [\\/$]*)
780	 # Absolute (can't be DOS-style, as IFS=:)
781	 test -f "$f" || { { echo "$as_me:$LINENO: error: cannot find input file: $f" >&5
782echo "$as_me: error: cannot find input file: $f" >&2;}
783   { (exit 1); exit 1; }; }
784	 echo "$f";;
785      *) # Relative
786	 if test -f "$f"; then
787	   # Build tree
788	   echo "$f"
789	 elif test -f "$srcdir/$f"; then
790	   # Source tree
791	   echo "$srcdir/$f"
792	 else
793	   # /dev/null tree
794	   { { echo "$as_me:$LINENO: error: cannot find input file: $f" >&5
795echo "$as_me: error: cannot find input file: $f" >&2;}
796   { (exit 1); exit 1; }; }
797	 fi;;
798      esac
799    done` || { (exit 1); exit 1; }
800
801  if test x"$ac_file" != x-; then
802    { echo "$as_me:$LINENO: creating $ac_file" >&5
803echo "$as_me: creating $ac_file" >&6;}
804    rm -f "$ac_file"
805  fi
806  sed "/^[	 ]*VPATH[	 ]*=/{
807s/:*\$(srcdir):*/:/;
808s/:*\${srcdir}:*/:/;
809s/:*@srcdir@:*/:/;
810s/^\([^=]*=[	 ]*\):*/\1/;
811s/:*$//;
812s/^[^=]*=[	 ]*$//;
813}
814
815:t
816/@[a-zA-Z_][a-zA-Z_0-9]*@/!b
817s,@configure_input@,$configure_input,;t t
818s,@srcdir@,$ac_srcdir,;t t
819s,@abs_srcdir@,$ac_abs_srcdir,;t t
820s,@top_srcdir@,$ac_top_srcdir,;t t
821s,@abs_top_srcdir@,$ac_abs_top_srcdir,;t t
822s,@builddir@,$ac_builddir,;t t
823s,@abs_builddir@,$ac_abs_builddir,;t t
824s,@top_builddir@,$ac_top_builddir,;t t
825s,@abs_top_builddir@,$ac_abs_top_builddir,;t t
826s,@INSTALL@,$ac_INSTALL,;t t
827" $ac_file_inputs | (eval "$ac_sed_cmds") >$tmp/out
828  rm -f $tmp/stdin
829  if test x"$ac_file" != x-; then
830    mv $tmp/out $ac_file
831  else
832    cat $tmp/out
833    rm -f $tmp/out
834  fi
835
836  # Run the commands associated with the file.
837  case $ac_file in
838    tests/bison ) chmod +x tests/bison ;;
839  esac
840done
841
842#
843# CONFIG_HEADER section.
844#
845
846# These sed commands are passed to sed as "A NAME B NAME C VALUE D", where
847# NAME is the cpp macro being defined and VALUE is the value it is being given.
848#
849# ac_d sets the value in "#define NAME VALUE" lines.
850ac_dA='s,^\([	 ]*\)#\([	 ]*define[	 ][	 ]*\)'
851ac_dB='[	 ].*$,\1#\2'
852ac_dC=' '
853ac_dD=',;t'
854# ac_u turns "#undef NAME" without trailing blanks into "#define NAME VALUE".
855ac_uA='s,^\([	 ]*\)#\([	 ]*\)undef\([	 ][	 ]*\)'
856ac_uB='$,\1#\2define\3'
857ac_uC=' '
858ac_uD=',;t'
859
860for ac_file in : $CONFIG_HEADERS; do test "x$ac_file" = x: && continue
861  # Support "outfile[:infile[:infile...]]", defaulting infile="outfile.in".
862  case $ac_file in
863  - | *:- | *:-:* ) # input from stdin
864	cat >$tmp/stdin
865	ac_file_in=`echo "$ac_file" | sed 's,[^:]*:,,'`
866	ac_file=`echo "$ac_file" | sed 's,:.*,,'` ;;
867  *:* ) ac_file_in=`echo "$ac_file" | sed 's,[^:]*:,,'`
868	ac_file=`echo "$ac_file" | sed 's,:.*,,'` ;;
869  * )   ac_file_in=$ac_file.in ;;
870  esac
871
872  test x"$ac_file" != x- && { echo "$as_me:$LINENO: creating $ac_file" >&5
873echo "$as_me: creating $ac_file" >&6;}
874
875  # First look for the input files in the build tree, otherwise in the
876  # src tree.
877  ac_file_inputs=`IFS=:
878    for f in $ac_file_in; do
879      case $f in
880      -) echo $tmp/stdin ;;
881      [\\/$]*)
882	 # Absolute (can't be DOS-style, as IFS=:)
883	 test -f "$f" || { { echo "$as_me:$LINENO: error: cannot find input file: $f" >&5
884echo "$as_me: error: cannot find input file: $f" >&2;}
885   { (exit 1); exit 1; }; }
886	 # Do quote $f, to prevent DOS paths from being IFS'd.
887	 echo "$f";;
888      *) # Relative
889	 if test -f "$f"; then
890	   # Build tree
891	   echo "$f"
892	 elif test -f "$srcdir/$f"; then
893	   # Source tree
894	   echo "$srcdir/$f"
895	 else
896	   # /dev/null tree
897	   { { echo "$as_me:$LINENO: error: cannot find input file: $f" >&5
898echo "$as_me: error: cannot find input file: $f" >&2;}
899   { (exit 1); exit 1; }; }
900	 fi;;
901      esac
902    done` || { (exit 1); exit 1; }
903  # Remove the trailing spaces.
904  sed 's/[	 ]*$//' $ac_file_inputs >$tmp/in
905
906  # Handle all the #define templates only if necessary.
907  if grep "^[	 ]*#[	 ]*define" $tmp/in >/dev/null; then
908  # If there are no defines, we may have an empty if/fi
909  :
910  cat >$tmp/defines.sed <<CEOF
911/^[	 ]*#[	 ]*define/!b
912t clr
913: clr
914${ac_dA}PACKAGE_NAME${ac_dB}PACKAGE_NAME${ac_dC}"GNU Bison"${ac_dD}
915${ac_dA}PACKAGE_TARNAME${ac_dB}PACKAGE_TARNAME${ac_dC}"bison"${ac_dD}
916${ac_dA}PACKAGE_VERSION${ac_dB}PACKAGE_VERSION${ac_dC}"2.3"${ac_dD}
917${ac_dA}PACKAGE_STRING${ac_dB}PACKAGE_STRING${ac_dC}"GNU Bison 2.3"${ac_dD}
918${ac_dA}PACKAGE_BUGREPORT${ac_dB}PACKAGE_BUGREPORT${ac_dC}"bug-bison@gnu.org"${ac_dD}
919${ac_dA}PACKAGE${ac_dB}PACKAGE${ac_dC}"bison"${ac_dD}
920${ac_dA}VERSION${ac_dB}VERSION${ac_dC}"2.3"${ac_dD}
921${ac_dA}_GNU_SOURCE${ac_dB}_GNU_SOURCE${ac_dC}1${ac_dD}
922${ac_dA}STDC_HEADERS${ac_dB}STDC_HEADERS${ac_dC}1${ac_dD}
923${ac_dA}HAVE_SYS_TYPES_H${ac_dB}HAVE_SYS_TYPES_H${ac_dC}1${ac_dD}
924${ac_dA}HAVE_SYS_STAT_H${ac_dB}HAVE_SYS_STAT_H${ac_dC}1${ac_dD}
925${ac_dA}HAVE_STDLIB_H${ac_dB}HAVE_STDLIB_H${ac_dC}1${ac_dD}
926${ac_dA}HAVE_STRING_H${ac_dB}HAVE_STRING_H${ac_dC}1${ac_dD}
927${ac_dA}HAVE_MEMORY_H${ac_dB}HAVE_MEMORY_H${ac_dC}1${ac_dD}
928${ac_dA}HAVE_STRINGS_H${ac_dB}HAVE_STRINGS_H${ac_dC}1${ac_dD}
929${ac_dA}HAVE_INTTYPES_H${ac_dB}HAVE_INTTYPES_H${ac_dC}1${ac_dD}
930${ac_dA}HAVE_STDINT_H${ac_dB}HAVE_STDINT_H${ac_dC}1${ac_dD}
931${ac_dA}HAVE_UNISTD_H${ac_dB}HAVE_UNISTD_H${ac_dC}1${ac_dD}
932${ac_dA}__EXTENSIONS__${ac_dB}__EXTENSIONS__${ac_dC}1${ac_dD}
933${ac_dA}_POSIX_PTHREAD_SEMANTICS${ac_dB}_POSIX_PTHREAD_SEMANTICS${ac_dC}1${ac_dD}
934${ac_dA}YYTEXT_POINTER${ac_dB}YYTEXT_POINTER${ac_dC}1${ac_dD}
935${ac_dA}M4${ac_dB}M4${ac_dC}"/usr/bin/m4"${ac_dD}
936${ac_dA}HAVE_LOCALE_H${ac_dB}HAVE_LOCALE_H${ac_dC}1${ac_dD}
937${ac_dA}HAVE_WCHAR_H${ac_dB}HAVE_WCHAR_H${ac_dC}1${ac_dD}
938${ac_dA}HAVE_WCTYPE_H${ac_dB}HAVE_WCTYPE_H${ac_dC}1${ac_dD}
939${ac_dA}HAVE__BOOL${ac_dB}HAVE__BOOL${ac_dC}1${ac_dD}
940${ac_dA}HAVE_STDBOOL_H${ac_dB}HAVE_STDBOOL_H${ac_dC}1${ac_dD}
941${ac_dA}HAVE_UINTPTR_T${ac_dB}HAVE_UINTPTR_T${ac_dC}1${ac_dD}
942${ac_dA}HAVE_SETLOCALE${ac_dB}HAVE_SETLOCALE${ac_dC}1${ac_dD}
943${ac_dA}HAVE_ISASCII${ac_dB}HAVE_ISASCII${ac_dC}1${ac_dD}
944${ac_dA}HAVE_ISWPRINT${ac_dB}HAVE_ISWPRINT${ac_dC}1${ac_dD}
945${ac_dA}HAVE_MBSINIT${ac_dB}HAVE_MBSINIT${ac_dC}1${ac_dD}
946${ac_dA}HAVE_SYS_WAIT_H${ac_dB}HAVE_SYS_WAIT_H${ac_dC}1${ac_dD}
947${ac_dA}HAVE_DUP2${ac_dB}HAVE_DUP2${ac_dC}1${ac_dD}
948${ac_dA}HAVE_WAITPID${ac_dB}HAVE_WAITPID${ac_dC}1${ac_dD}
949${ac_dA}HAVE_UNISTD_H${ac_dB}HAVE_UNISTD_H${ac_dC}1${ac_dD}
950${ac_dA}HAVE_FORK${ac_dB}HAVE_FORK${ac_dC}1${ac_dD}
951${ac_dA}HAVE_VFORK${ac_dB}HAVE_VFORK${ac_dC}1${ac_dD}
952CEOF
953  sed -f $tmp/defines.sed $tmp/in >$tmp/out
954  rm -f $tmp/in
955  mv $tmp/out $tmp/in
956
957  cat >$tmp/defines.sed <<CEOF
958/^[	 ]*#[	 ]*define/!b
959t clr
960: clr
961${ac_dA}HAVE_WORKING_VFORK${ac_dB}HAVE_WORKING_VFORK${ac_dC}1${ac_dD}
962${ac_dA}HAVE_WORKING_FORK${ac_dB}HAVE_WORKING_FORK${ac_dC}1${ac_dD}
963${ac_dA}HAVE_SYS_TIME_H${ac_dB}HAVE_SYS_TIME_H${ac_dC}1${ac_dD}
964${ac_dA}HAVE_SYS_TIMES_H${ac_dB}HAVE_SYS_TIMES_H${ac_dC}1${ac_dD}
965${ac_dA}HAVE_SYS_RESOURCE_H${ac_dB}HAVE_SYS_RESOURCE_H${ac_dC}1${ac_dD}
966${ac_dA}HAVE_TIMES${ac_dB}HAVE_TIMES${ac_dC}1${ac_dD}
967${ac_dA}HAVE_DECL_GETRUSAGE${ac_dB}HAVE_DECL_GETRUSAGE${ac_dC}1${ac_dD}
968${ac_dA}HAVE_DECL_TIMES${ac_dB}HAVE_DECL_TIMES${ac_dC}1${ac_dD}
969${ac_dA}HAVE_DECL_CLOCK${ac_dB}HAVE_DECL_CLOCK${ac_dC}0${ac_dD}
970${ac_dA}HAVE_DECL_SYSCONF${ac_dB}HAVE_DECL_SYSCONF${ac_dC}1${ac_dD}
971${ac_dA}HAVE_CLOCK_T${ac_dB}HAVE_CLOCK_T${ac_dC}1${ac_dD}
972${ac_dA}HAVE_STRUCT_TMS${ac_dB}HAVE_STRUCT_TMS${ac_dC}1${ac_dD}
973${ac_dA}FILE_SYSTEM_ACCEPTS_DRIVE_LETTER_PREFIX${ac_dB}FILE_SYSTEM_ACCEPTS_DRIVE_LETTER_PREFIX${ac_dC}0${ac_dD}
974${ac_dA}FILE_SYSTEM_BACKSLASH_IS_FILE_NAME_SEPARATOR${ac_dB}FILE_SYSTEM_BACKSLASH_IS_FILE_NAME_SEPARATOR${ac_dC}0${ac_dD}
975${ac_dA}HAVE_DECL_STRERROR_R${ac_dB}HAVE_DECL_STRERROR_R${ac_dC}1${ac_dD}
976${ac_dA}HAVE_STRERROR_R${ac_dB}HAVE_STRERROR_R${ac_dC}1${ac_dD}
977${ac_dA}STRERROR_R_CHAR_P${ac_dB}STRERROR_R_CHAR_P${ac_dC}1${ac_dD}
978${ac_dA}HAVE_GETOPT_H${ac_dB}HAVE_GETOPT_H${ac_dC}1${ac_dD}
979${ac_dA}HAVE_GETOPT_LONG_ONLY${ac_dB}HAVE_GETOPT_LONG_ONLY${ac_dC}1${ac_dD}
980${ac_dA}HAVE_DECL_GETENV${ac_dB}HAVE_DECL_GETENV${ac_dC}1${ac_dD}
981${ac_dA}HAVE_INTTYPES_H_WITH_UINTMAX${ac_dB}HAVE_INTTYPES_H_WITH_UINTMAX${ac_dC}1${ac_dD}
982${ac_dA}HAVE_STDINT_H_WITH_UINTMAX${ac_dB}HAVE_STDINT_H_WITH_UINTMAX${ac_dC}1${ac_dD}
983${ac_dA}HAVE_UNSIGNED_LONG_LONG${ac_dB}HAVE_UNSIGNED_LONG_LONG${ac_dC}1${ac_dD}
984${ac_dA}HAVE_UINTMAX_T${ac_dB}HAVE_UINTMAX_T${ac_dC}1${ac_dD}
985${ac_dA}HAVE_DECL_STRDUP${ac_dB}HAVE_DECL_STRDUP${ac_dC}1${ac_dD}
986${ac_dA}HAVE_DECL_STRNDUP${ac_dB}HAVE_DECL_STRNDUP${ac_dC}1${ac_dD}
987${ac_dA}HAVE_DECL_STRNLEN${ac_dB}HAVE_DECL_STRNLEN${ac_dC}1${ac_dD}
988${ac_dA}HAVE_DECL_CLEARERR_UNLOCKED${ac_dB}HAVE_DECL_CLEARERR_UNLOCKED${ac_dC}1${ac_dD}
989${ac_dA}HAVE_DECL_FEOF_UNLOCKED${ac_dB}HAVE_DECL_FEOF_UNLOCKED${ac_dC}1${ac_dD}
990${ac_dA}HAVE_DECL_FERROR_UNLOCKED${ac_dB}HAVE_DECL_FERROR_UNLOCKED${ac_dC}1${ac_dD}
991${ac_dA}HAVE_DECL_FFLUSH_UNLOCKED${ac_dB}HAVE_DECL_FFLUSH_UNLOCKED${ac_dC}1${ac_dD}
992${ac_dA}HAVE_DECL_FGETS_UNLOCKED${ac_dB}HAVE_DECL_FGETS_UNLOCKED${ac_dC}1${ac_dD}
993${ac_dA}HAVE_DECL_FPUTC_UNLOCKED${ac_dB}HAVE_DECL_FPUTC_UNLOCKED${ac_dC}1${ac_dD}
994${ac_dA}HAVE_DECL_FPUTS_UNLOCKED${ac_dB}HAVE_DECL_FPUTS_UNLOCKED${ac_dC}1${ac_dD}
995${ac_dA}HAVE_DECL_FREAD_UNLOCKED${ac_dB}HAVE_DECL_FREAD_UNLOCKED${ac_dC}1${ac_dD}
996${ac_dA}HAVE_DECL_FWRITE_UNLOCKED${ac_dB}HAVE_DECL_FWRITE_UNLOCKED${ac_dC}1${ac_dD}
997${ac_dA}HAVE_DECL_GETC_UNLOCKED${ac_dB}HAVE_DECL_GETC_UNLOCKED${ac_dC}1${ac_dD}
998${ac_dA}HAVE_DECL_GETCHAR_UNLOCKED${ac_dB}HAVE_DECL_GETCHAR_UNLOCKED${ac_dC}1${ac_dD}
999CEOF
1000  sed -f $tmp/defines.sed $tmp/in >$tmp/out
1001  rm -f $tmp/in
1002  mv $tmp/out $tmp/in
1003
1004  cat >$tmp/defines.sed <<CEOF
1005/^[	 ]*#[	 ]*define/!b
1006t clr
1007: clr
1008${ac_dA}HAVE_DECL_PUTC_UNLOCKED${ac_dB}HAVE_DECL_PUTC_UNLOCKED${ac_dC}1${ac_dD}
1009${ac_dA}HAVE_DECL_PUTCHAR_UNLOCKED${ac_dB}HAVE_DECL_PUTCHAR_UNLOCKED${ac_dC}1${ac_dD}
1010${ac_dA}ENABLE_NLS${ac_dB}ENABLE_NLS${ac_dC}1${ac_dD}
1011${ac_dA}HAVE_GETTEXT${ac_dB}HAVE_GETTEXT${ac_dC}1${ac_dD}
1012${ac_dA}HAVE_DCGETTEXT${ac_dB}HAVE_DCGETTEXT${ac_dC}1${ac_dD}
1013${ac_dA}HAVE_STDLIB_H${ac_dB}HAVE_STDLIB_H${ac_dC}1${ac_dD}
1014${ac_dA}HAVE_MALLOC${ac_dB}HAVE_MALLOC${ac_dC}1${ac_dD}
1015${ac_dA}HAVE_ISWCNTRL${ac_dB}HAVE_ISWCNTRL${ac_dC}1${ac_dD}
1016${ac_dA}HAVE_WCWIDTH${ac_dB}HAVE_WCWIDTH${ac_dC}1${ac_dD}
1017${ac_dA}HAVE_MBRTOWC${ac_dB}HAVE_MBRTOWC${ac_dC}1${ac_dD}
1018${ac_dA}HAVE_DECL_WCWIDTH${ac_dB}HAVE_DECL_WCWIDTH${ac_dC}1${ac_dD}
1019${ac_dA}HAVE_DECL_MBSWIDTH_IN_WCHAR_H${ac_dB}HAVE_DECL_MBSWIDTH_IN_WCHAR_H${ac_dC}0${ac_dD}
1020${ac_dA}HAVE_MBSTATE_T${ac_dB}HAVE_MBSTATE_T${ac_dC}1${ac_dD}
1021${ac_dA}HAVE_OBSTACK${ac_dB}HAVE_OBSTACK${ac_dC}1${ac_dD}
1022${ac_dA}HAVE_MBSTATE_T${ac_dB}HAVE_MBSTATE_T${ac_dC}1${ac_dD}
1023${ac_dA}HAVE_MBRTOWC${ac_dB}HAVE_MBRTOWC${ac_dC}1${ac_dD}
1024${ac_dA}HAVE_STPCPY${ac_dB}HAVE_STPCPY${ac_dC}1${ac_dD}
1025${ac_dA}HAVE_STRDUP${ac_dB}HAVE_STRDUP${ac_dC}1${ac_dD}
1026${ac_dA}HAVE_STRERROR${ac_dB}HAVE_STRERROR${ac_dC}1${ac_dD}
1027${ac_dA}HAVE_STRNDUP${ac_dB}HAVE_STRNDUP${ac_dC}1${ac_dD}
1028${ac_dA}HAVE_STRTOL${ac_dB}HAVE_STRTOL${ac_dC}1${ac_dD}
1029${ac_dA}HAVE_STRTOUL${ac_dB}HAVE_STRTOUL${ac_dC}1${ac_dD}
1030${ac_dA}HAVE_STRVERSCMP${ac_dB}HAVE_STRVERSCMP${ac_dC}1${ac_dD}
1031${ac_dA}HAVE_UNISTD_H${ac_dB}HAVE_UNISTD_H${ac_dC}1${ac_dD}
1032${ac_dA}USE_UNLOCKED_IO${ac_dB}USE_UNLOCKED_IO${ac_dC}1${ac_dD}
1033${ac_dA}YYENABLE_NLS${ac_dB}YYENABLE_NLS${ac_dC}1${ac_dD}
1034CEOF
1035  sed -f $tmp/defines.sed $tmp/in >$tmp/out
1036  rm -f $tmp/in
1037  mv $tmp/out $tmp/in
1038
1039  fi # grep
1040
1041  # Handle all the #undef templates
1042  cat >$tmp/undefs.sed <<CEOF
1043/^[	 ]*#[	 ]*undef/!b
1044t clr
1045: clr
1046${ac_uA}PACKAGE_NAME${ac_uB}PACKAGE_NAME${ac_uC}"GNU Bison"${ac_uD}
1047${ac_uA}PACKAGE_TARNAME${ac_uB}PACKAGE_TARNAME${ac_uC}"bison"${ac_uD}
1048${ac_uA}PACKAGE_VERSION${ac_uB}PACKAGE_VERSION${ac_uC}"2.3"${ac_uD}
1049${ac_uA}PACKAGE_STRING${ac_uB}PACKAGE_STRING${ac_uC}"GNU Bison 2.3"${ac_uD}
1050${ac_uA}PACKAGE_BUGREPORT${ac_uB}PACKAGE_BUGREPORT${ac_uC}"bug-bison@gnu.org"${ac_uD}
1051${ac_uA}PACKAGE${ac_uB}PACKAGE${ac_uC}"bison"${ac_uD}
1052${ac_uA}VERSION${ac_uB}VERSION${ac_uC}"2.3"${ac_uD}
1053${ac_uA}_GNU_SOURCE${ac_uB}_GNU_SOURCE${ac_uC}1${ac_uD}
1054${ac_uA}STDC_HEADERS${ac_uB}STDC_HEADERS${ac_uC}1${ac_uD}
1055${ac_uA}HAVE_SYS_TYPES_H${ac_uB}HAVE_SYS_TYPES_H${ac_uC}1${ac_uD}
1056${ac_uA}HAVE_SYS_STAT_H${ac_uB}HAVE_SYS_STAT_H${ac_uC}1${ac_uD}
1057${ac_uA}HAVE_STDLIB_H${ac_uB}HAVE_STDLIB_H${ac_uC}1${ac_uD}
1058${ac_uA}HAVE_STRING_H${ac_uB}HAVE_STRING_H${ac_uC}1${ac_uD}
1059${ac_uA}HAVE_MEMORY_H${ac_uB}HAVE_MEMORY_H${ac_uC}1${ac_uD}
1060${ac_uA}HAVE_STRINGS_H${ac_uB}HAVE_STRINGS_H${ac_uC}1${ac_uD}
1061${ac_uA}HAVE_INTTYPES_H${ac_uB}HAVE_INTTYPES_H${ac_uC}1${ac_uD}
1062${ac_uA}HAVE_STDINT_H${ac_uB}HAVE_STDINT_H${ac_uC}1${ac_uD}
1063${ac_uA}HAVE_UNISTD_H${ac_uB}HAVE_UNISTD_H${ac_uC}1${ac_uD}
1064${ac_uA}__EXTENSIONS__${ac_uB}__EXTENSIONS__${ac_uC}1${ac_uD}
1065${ac_uA}_POSIX_PTHREAD_SEMANTICS${ac_uB}_POSIX_PTHREAD_SEMANTICS${ac_uC}1${ac_uD}
1066${ac_uA}YYTEXT_POINTER${ac_uB}YYTEXT_POINTER${ac_uC}1${ac_uD}
1067${ac_uA}M4${ac_uB}M4${ac_uC}"/usr/bin/m4"${ac_uD}
1068${ac_uA}HAVE_LOCALE_H${ac_uB}HAVE_LOCALE_H${ac_uC}1${ac_uD}
1069${ac_uA}HAVE_WCHAR_H${ac_uB}HAVE_WCHAR_H${ac_uC}1${ac_uD}
1070${ac_uA}HAVE_WCTYPE_H${ac_uB}HAVE_WCTYPE_H${ac_uC}1${ac_uD}
1071${ac_uA}HAVE__BOOL${ac_uB}HAVE__BOOL${ac_uC}1${ac_uD}
1072${ac_uA}HAVE_STDBOOL_H${ac_uB}HAVE_STDBOOL_H${ac_uC}1${ac_uD}
1073${ac_uA}HAVE_UINTPTR_T${ac_uB}HAVE_UINTPTR_T${ac_uC}1${ac_uD}
1074${ac_uA}HAVE_SETLOCALE${ac_uB}HAVE_SETLOCALE${ac_uC}1${ac_uD}
1075${ac_uA}HAVE_ISASCII${ac_uB}HAVE_ISASCII${ac_uC}1${ac_uD}
1076${ac_uA}HAVE_ISWPRINT${ac_uB}HAVE_ISWPRINT${ac_uC}1${ac_uD}
1077${ac_uA}HAVE_MBSINIT${ac_uB}HAVE_MBSINIT${ac_uC}1${ac_uD}
1078${ac_uA}HAVE_SYS_WAIT_H${ac_uB}HAVE_SYS_WAIT_H${ac_uC}1${ac_uD}
1079${ac_uA}HAVE_DUP2${ac_uB}HAVE_DUP2${ac_uC}1${ac_uD}
1080${ac_uA}HAVE_WAITPID${ac_uB}HAVE_WAITPID${ac_uC}1${ac_uD}
1081${ac_uA}HAVE_UNISTD_H${ac_uB}HAVE_UNISTD_H${ac_uC}1${ac_uD}
1082${ac_uA}HAVE_FORK${ac_uB}HAVE_FORK${ac_uC}1${ac_uD}
1083${ac_uA}HAVE_VFORK${ac_uB}HAVE_VFORK${ac_uC}1${ac_uD}
1084CEOF
1085  sed -f $tmp/undefs.sed $tmp/in >$tmp/out
1086  rm -f $tmp/in
1087  mv $tmp/out $tmp/in
1088
1089  cat >$tmp/undefs.sed <<CEOF
1090/^[	 ]*#[	 ]*undef/!b
1091t clr
1092: clr
1093${ac_uA}HAVE_WORKING_VFORK${ac_uB}HAVE_WORKING_VFORK${ac_uC}1${ac_uD}
1094${ac_uA}HAVE_WORKING_FORK${ac_uB}HAVE_WORKING_FORK${ac_uC}1${ac_uD}
1095${ac_uA}HAVE_SYS_TIME_H${ac_uB}HAVE_SYS_TIME_H${ac_uC}1${ac_uD}
1096${ac_uA}HAVE_SYS_TIMES_H${ac_uB}HAVE_SYS_TIMES_H${ac_uC}1${ac_uD}
1097${ac_uA}HAVE_SYS_RESOURCE_H${ac_uB}HAVE_SYS_RESOURCE_H${ac_uC}1${ac_uD}
1098${ac_uA}HAVE_TIMES${ac_uB}HAVE_TIMES${ac_uC}1${ac_uD}
1099${ac_uA}HAVE_DECL_GETRUSAGE${ac_uB}HAVE_DECL_GETRUSAGE${ac_uC}1${ac_uD}
1100${ac_uA}HAVE_DECL_TIMES${ac_uB}HAVE_DECL_TIMES${ac_uC}1${ac_uD}
1101${ac_uA}HAVE_DECL_CLOCK${ac_uB}HAVE_DECL_CLOCK${ac_uC}0${ac_uD}
1102${ac_uA}HAVE_DECL_SYSCONF${ac_uB}HAVE_DECL_SYSCONF${ac_uC}1${ac_uD}
1103${ac_uA}HAVE_CLOCK_T${ac_uB}HAVE_CLOCK_T${ac_uC}1${ac_uD}
1104${ac_uA}HAVE_STRUCT_TMS${ac_uB}HAVE_STRUCT_TMS${ac_uC}1${ac_uD}
1105${ac_uA}FILE_SYSTEM_ACCEPTS_DRIVE_LETTER_PREFIX${ac_uB}FILE_SYSTEM_ACCEPTS_DRIVE_LETTER_PREFIX${ac_uC}0${ac_uD}
1106${ac_uA}FILE_SYSTEM_BACKSLASH_IS_FILE_NAME_SEPARATOR${ac_uB}FILE_SYSTEM_BACKSLASH_IS_FILE_NAME_SEPARATOR${ac_uC}0${ac_uD}
1107${ac_uA}HAVE_DECL_STRERROR_R${ac_uB}HAVE_DECL_STRERROR_R${ac_uC}1${ac_uD}
1108${ac_uA}HAVE_STRERROR_R${ac_uB}HAVE_STRERROR_R${ac_uC}1${ac_uD}
1109${ac_uA}STRERROR_R_CHAR_P${ac_uB}STRERROR_R_CHAR_P${ac_uC}1${ac_uD}
1110${ac_uA}HAVE_GETOPT_H${ac_uB}HAVE_GETOPT_H${ac_uC}1${ac_uD}
1111${ac_uA}HAVE_GETOPT_LONG_ONLY${ac_uB}HAVE_GETOPT_LONG_ONLY${ac_uC}1${ac_uD}
1112${ac_uA}HAVE_DECL_GETENV${ac_uB}HAVE_DECL_GETENV${ac_uC}1${ac_uD}
1113${ac_uA}HAVE_INTTYPES_H_WITH_UINTMAX${ac_uB}HAVE_INTTYPES_H_WITH_UINTMAX${ac_uC}1${ac_uD}
1114${ac_uA}HAVE_STDINT_H_WITH_UINTMAX${ac_uB}HAVE_STDINT_H_WITH_UINTMAX${ac_uC}1${ac_uD}
1115${ac_uA}HAVE_UNSIGNED_LONG_LONG${ac_uB}HAVE_UNSIGNED_LONG_LONG${ac_uC}1${ac_uD}
1116${ac_uA}HAVE_UINTMAX_T${ac_uB}HAVE_UINTMAX_T${ac_uC}1${ac_uD}
1117${ac_uA}HAVE_DECL_STRDUP${ac_uB}HAVE_DECL_STRDUP${ac_uC}1${ac_uD}
1118${ac_uA}HAVE_DECL_STRNDUP${ac_uB}HAVE_DECL_STRNDUP${ac_uC}1${ac_uD}
1119${ac_uA}HAVE_DECL_STRNLEN${ac_uB}HAVE_DECL_STRNLEN${ac_uC}1${ac_uD}
1120${ac_uA}HAVE_DECL_CLEARERR_UNLOCKED${ac_uB}HAVE_DECL_CLEARERR_UNLOCKED${ac_uC}1${ac_uD}
1121${ac_uA}HAVE_DECL_FEOF_UNLOCKED${ac_uB}HAVE_DECL_FEOF_UNLOCKED${ac_uC}1${ac_uD}
1122${ac_uA}HAVE_DECL_FERROR_UNLOCKED${ac_uB}HAVE_DECL_FERROR_UNLOCKED${ac_uC}1${ac_uD}
1123${ac_uA}HAVE_DECL_FFLUSH_UNLOCKED${ac_uB}HAVE_DECL_FFLUSH_UNLOCKED${ac_uC}1${ac_uD}
1124${ac_uA}HAVE_DECL_FGETS_UNLOCKED${ac_uB}HAVE_DECL_FGETS_UNLOCKED${ac_uC}1${ac_uD}
1125${ac_uA}HAVE_DECL_FPUTC_UNLOCKED${ac_uB}HAVE_DECL_FPUTC_UNLOCKED${ac_uC}1${ac_uD}
1126${ac_uA}HAVE_DECL_FPUTS_UNLOCKED${ac_uB}HAVE_DECL_FPUTS_UNLOCKED${ac_uC}1${ac_uD}
1127${ac_uA}HAVE_DECL_FREAD_UNLOCKED${ac_uB}HAVE_DECL_FREAD_UNLOCKED${ac_uC}1${ac_uD}
1128${ac_uA}HAVE_DECL_FWRITE_UNLOCKED${ac_uB}HAVE_DECL_FWRITE_UNLOCKED${ac_uC}1${ac_uD}
1129${ac_uA}HAVE_DECL_GETC_UNLOCKED${ac_uB}HAVE_DECL_GETC_UNLOCKED${ac_uC}1${ac_uD}
1130${ac_uA}HAVE_DECL_GETCHAR_UNLOCKED${ac_uB}HAVE_DECL_GETCHAR_UNLOCKED${ac_uC}1${ac_uD}
1131CEOF
1132  sed -f $tmp/undefs.sed $tmp/in >$tmp/out
1133  rm -f $tmp/in
1134  mv $tmp/out $tmp/in
1135
1136  cat >$tmp/undefs.sed <<CEOF
1137/^[	 ]*#[	 ]*undef/!b
1138t clr
1139: clr
1140${ac_uA}HAVE_DECL_PUTC_UNLOCKED${ac_uB}HAVE_DECL_PUTC_UNLOCKED${ac_uC}1${ac_uD}
1141${ac_uA}HAVE_DECL_PUTCHAR_UNLOCKED${ac_uB}HAVE_DECL_PUTCHAR_UNLOCKED${ac_uC}1${ac_uD}
1142${ac_uA}ENABLE_NLS${ac_uB}ENABLE_NLS${ac_uC}1${ac_uD}
1143${ac_uA}HAVE_GETTEXT${ac_uB}HAVE_GETTEXT${ac_uC}1${ac_uD}
1144${ac_uA}HAVE_DCGETTEXT${ac_uB}HAVE_DCGETTEXT${ac_uC}1${ac_uD}
1145${ac_uA}HAVE_STDLIB_H${ac_uB}HAVE_STDLIB_H${ac_uC}1${ac_uD}
1146${ac_uA}HAVE_MALLOC${ac_uB}HAVE_MALLOC${ac_uC}1${ac_uD}
1147${ac_uA}HAVE_ISWCNTRL${ac_uB}HAVE_ISWCNTRL${ac_uC}1${ac_uD}
1148${ac_uA}HAVE_WCWIDTH${ac_uB}HAVE_WCWIDTH${ac_uC}1${ac_uD}
1149${ac_uA}HAVE_MBRTOWC${ac_uB}HAVE_MBRTOWC${ac_uC}1${ac_uD}
1150${ac_uA}HAVE_DECL_WCWIDTH${ac_uB}HAVE_DECL_WCWIDTH${ac_uC}1${ac_uD}
1151${ac_uA}HAVE_DECL_MBSWIDTH_IN_WCHAR_H${ac_uB}HAVE_DECL_MBSWIDTH_IN_WCHAR_H${ac_uC}0${ac_uD}
1152${ac_uA}HAVE_MBSTATE_T${ac_uB}HAVE_MBSTATE_T${ac_uC}1${ac_uD}
1153${ac_uA}HAVE_OBSTACK${ac_uB}HAVE_OBSTACK${ac_uC}1${ac_uD}
1154${ac_uA}HAVE_MBSTATE_T${ac_uB}HAVE_MBSTATE_T${ac_uC}1${ac_uD}
1155${ac_uA}HAVE_MBRTOWC${ac_uB}HAVE_MBRTOWC${ac_uC}1${ac_uD}
1156${ac_uA}HAVE_STPCPY${ac_uB}HAVE_STPCPY${ac_uC}1${ac_uD}
1157${ac_uA}HAVE_STRDUP${ac_uB}HAVE_STRDUP${ac_uC}1${ac_uD}
1158${ac_uA}HAVE_STRERROR${ac_uB}HAVE_STRERROR${ac_uC}1${ac_uD}
1159${ac_uA}HAVE_STRNDUP${ac_uB}HAVE_STRNDUP${ac_uC}1${ac_uD}
1160${ac_uA}HAVE_STRTOL${ac_uB}HAVE_STRTOL${ac_uC}1${ac_uD}
1161${ac_uA}HAVE_STRTOUL${ac_uB}HAVE_STRTOUL${ac_uC}1${ac_uD}
1162${ac_uA}HAVE_STRVERSCMP${ac_uB}HAVE_STRVERSCMP${ac_uC}1${ac_uD}
1163${ac_uA}HAVE_UNISTD_H${ac_uB}HAVE_UNISTD_H${ac_uC}1${ac_uD}
1164${ac_uA}USE_UNLOCKED_IO${ac_uB}USE_UNLOCKED_IO${ac_uC}1${ac_uD}
1165${ac_uA}YYENABLE_NLS${ac_uB}YYENABLE_NLS${ac_uC}1${ac_uD}
1166s,^[	 ]*#[	 ]*undef[	 ][	 ]*[a-zA-Z_][a-zA-Z_0-9]*,/* & */,
1167CEOF
1168  sed -f $tmp/undefs.sed $tmp/in >$tmp/out
1169  rm -f $tmp/in
1170  mv $tmp/out $tmp/in
1171
1172  # Let's still pretend it is `configure' which instantiates (i.e., don't
1173  # use $as_me), people would be surprised to read:
1174  #    /* config.h.  Generated by config.status.  */
1175  if test x"$ac_file" = x-; then
1176    echo "/* Generated by configure.  */" >$tmp/config.h
1177  else
1178    echo "/* $ac_file.  Generated by configure.  */" >$tmp/config.h
1179  fi
1180  cat $tmp/in >>$tmp/config.h
1181  rm -f $tmp/in
1182  if test x"$ac_file" != x-; then
1183    if diff $ac_file $tmp/config.h >/dev/null 2>&1; then
1184      { echo "$as_me:$LINENO: $ac_file is unchanged" >&5
1185echo "$as_me: $ac_file is unchanged" >&6;}
1186    else
1187      ac_dir=`(dirname "$ac_file") 2>/dev/null ||
1188$as_expr X"$ac_file" : 'X\(.*[^/]\)//*[^/][^/]*/*$' \| \
1189	 X"$ac_file" : 'X\(//\)[^/]' \| \
1190	 X"$ac_file" : 'X\(//\)$' \| \
1191	 X"$ac_file" : 'X\(/\)' \| \
1192	 .     : '\(.\)' 2>/dev/null ||
1193echo X"$ac_file" |
1194    sed '/^X\(.*[^/]\)\/\/*[^/][^/]*\/*$/{ s//\1/; q; }
1195  	  /^X\(\/\/\)[^/].*/{ s//\1/; q; }
1196  	  /^X\(\/\/\)$/{ s//\1/; q; }
1197  	  /^X\(\/\).*/{ s//\1/; q; }
1198  	  s/.*/./; q'`
1199      { if $as_mkdir_p; then
1200    mkdir -p "$ac_dir"
1201  else
1202    as_dir="$ac_dir"
1203    as_dirs=
1204    while test ! -d "$as_dir"; do
1205      as_dirs="$as_dir $as_dirs"
1206      as_dir=`(dirname "$as_dir") 2>/dev/null ||
1207$as_expr X"$as_dir" : 'X\(.*[^/]\)//*[^/][^/]*/*$' \| \
1208	 X"$as_dir" : 'X\(//\)[^/]' \| \
1209	 X"$as_dir" : 'X\(//\)$' \| \
1210	 X"$as_dir" : 'X\(/\)' \| \
1211	 .     : '\(.\)' 2>/dev/null ||
1212echo X"$as_dir" |
1213    sed '/^X\(.*[^/]\)\/\/*[^/][^/]*\/*$/{ s//\1/; q; }
1214  	  /^X\(\/\/\)[^/].*/{ s//\1/; q; }
1215  	  /^X\(\/\/\)$/{ s//\1/; q; }
1216  	  /^X\(\/\).*/{ s//\1/; q; }
1217  	  s/.*/./; q'`
1218    done
1219    test ! -n "$as_dirs" || mkdir $as_dirs
1220  fi || { { echo "$as_me:$LINENO: error: cannot create directory \"$ac_dir\"" >&5
1221echo "$as_me: error: cannot create directory \"$ac_dir\"" >&2;}
1222   { (exit 1); exit 1; }; }; }
1223
1224      rm -f $ac_file
1225      mv $tmp/config.h $ac_file
1226    fi
1227  else
1228    cat $tmp/config.h
1229    rm -f $tmp/config.h
1230  fi
1231# Compute $ac_file's index in $config_headers.
1232_am_stamp_count=1
1233for _am_header in $config_headers :; do
1234  case $_am_header in
1235    $ac_file | $ac_file:* )
1236      break ;;
1237    * )
1238      _am_stamp_count=`expr $_am_stamp_count + 1` ;;
1239  esac
1240done
1241echo "timestamp for $ac_file" >`(dirname $ac_file) 2>/dev/null ||
1242$as_expr X$ac_file : 'X\(.*[^/]\)//*[^/][^/]*/*$' \| \
1243	 X$ac_file : 'X\(//\)[^/]' \| \
1244	 X$ac_file : 'X\(//\)$' \| \
1245	 X$ac_file : 'X\(/\)' \| \
1246	 .     : '\(.\)' 2>/dev/null ||
1247echo X$ac_file |
1248    sed '/^X\(.*[^/]\)\/\/*[^/][^/]*\/*$/{ s//\1/; q; }
1249  	  /^X\(\/\/\)[^/].*/{ s//\1/; q; }
1250  	  /^X\(\/\/\)$/{ s//\1/; q; }
1251  	  /^X\(\/\).*/{ s//\1/; q; }
1252  	  s/.*/./; q'`/stamp-h$_am_stamp_count
1253done
1254
1255#
1256# CONFIG_COMMANDS section.
1257#
1258for ac_file in : $CONFIG_COMMANDS; do test "x$ac_file" = x: && continue
1259  ac_dest=`echo "$ac_file" | sed 's,:.*,,'`
1260  ac_source=`echo "$ac_file" | sed 's,[^:]*:,,'`
1261  ac_dir=`(dirname "$ac_dest") 2>/dev/null ||
1262$as_expr X"$ac_dest" : 'X\(.*[^/]\)//*[^/][^/]*/*$' \| \
1263	 X"$ac_dest" : 'X\(//\)[^/]' \| \
1264	 X"$ac_dest" : 'X\(//\)$' \| \
1265	 X"$ac_dest" : 'X\(/\)' \| \
1266	 .     : '\(.\)' 2>/dev/null ||
1267echo X"$ac_dest" |
1268    sed '/^X\(.*[^/]\)\/\/*[^/][^/]*\/*$/{ s//\1/; q; }
1269  	  /^X\(\/\/\)[^/].*/{ s//\1/; q; }
1270  	  /^X\(\/\/\)$/{ s//\1/; q; }
1271  	  /^X\(\/\).*/{ s//\1/; q; }
1272  	  s/.*/./; q'`
1273  { if $as_mkdir_p; then
1274    mkdir -p "$ac_dir"
1275  else
1276    as_dir="$ac_dir"
1277    as_dirs=
1278    while test ! -d "$as_dir"; do
1279      as_dirs="$as_dir $as_dirs"
1280      as_dir=`(dirname "$as_dir") 2>/dev/null ||
1281$as_expr X"$as_dir" : 'X\(.*[^/]\)//*[^/][^/]*/*$' \| \
1282	 X"$as_dir" : 'X\(//\)[^/]' \| \
1283	 X"$as_dir" : 'X\(//\)$' \| \
1284	 X"$as_dir" : 'X\(/\)' \| \
1285	 .     : '\(.\)' 2>/dev/null ||
1286echo X"$as_dir" |
1287    sed '/^X\(.*[^/]\)\/\/*[^/][^/]*\/*$/{ s//\1/; q; }
1288  	  /^X\(\/\/\)[^/].*/{ s//\1/; q; }
1289  	  /^X\(\/\/\)$/{ s//\1/; q; }
1290  	  /^X\(\/\).*/{ s//\1/; q; }
1291  	  s/.*/./; q'`
1292    done
1293    test ! -n "$as_dirs" || mkdir $as_dirs
1294  fi || { { echo "$as_me:$LINENO: error: cannot create directory \"$ac_dir\"" >&5
1295echo "$as_me: error: cannot create directory \"$ac_dir\"" >&2;}
1296   { (exit 1); exit 1; }; }; }
1297
1298  ac_builddir=.
1299
1300if test "$ac_dir" != .; then
1301  ac_dir_suffix=/`echo "$ac_dir" | sed 's,^\.[\\/],,'`
1302  # A "../" for each directory in $ac_dir_suffix.
1303  ac_top_builddir=`echo "$ac_dir_suffix" | sed 's,/[^\\/]*,../,g'`
1304else
1305  ac_dir_suffix= ac_top_builddir=
1306fi
1307
1308case $srcdir in
1309  .)  # No --srcdir option.  We are building in place.
1310    ac_srcdir=.
1311    if test -z "$ac_top_builddir"; then
1312       ac_top_srcdir=.
1313    else
1314       ac_top_srcdir=`echo $ac_top_builddir | sed 's,/$,,'`
1315    fi ;;
1316  [\\/]* | ?:[\\/]* )  # Absolute path.
1317    ac_srcdir=$srcdir$ac_dir_suffix;
1318    ac_top_srcdir=$srcdir ;;
1319  *) # Relative path.
1320    ac_srcdir=$ac_top_builddir$srcdir$ac_dir_suffix
1321    ac_top_srcdir=$ac_top_builddir$srcdir ;;
1322esac
1323
1324# Do not use `cd foo && pwd` to compute absolute paths, because
1325# the directories may not exist.
1326case `pwd` in
1327.) ac_abs_builddir="$ac_dir";;
1328*)
1329  case "$ac_dir" in
1330  .) ac_abs_builddir=`pwd`;;
1331  [\\/]* | ?:[\\/]* ) ac_abs_builddir="$ac_dir";;
1332  *) ac_abs_builddir=`pwd`/"$ac_dir";;
1333  esac;;
1334esac
1335case $ac_abs_builddir in
1336.) ac_abs_top_builddir=${ac_top_builddir}.;;
1337*)
1338  case ${ac_top_builddir}. in
1339  .) ac_abs_top_builddir=$ac_abs_builddir;;
1340  [\\/]* | ?:[\\/]* ) ac_abs_top_builddir=${ac_top_builddir}.;;
1341  *) ac_abs_top_builddir=$ac_abs_builddir/${ac_top_builddir}.;;
1342  esac;;
1343esac
1344case $ac_abs_builddir in
1345.) ac_abs_srcdir=$ac_srcdir;;
1346*)
1347  case $ac_srcdir in
1348  .) ac_abs_srcdir=$ac_abs_builddir;;
1349  [\\/]* | ?:[\\/]* ) ac_abs_srcdir=$ac_srcdir;;
1350  *) ac_abs_srcdir=$ac_abs_builddir/$ac_srcdir;;
1351  esac;;
1352esac
1353case $ac_abs_builddir in
1354.) ac_abs_top_srcdir=$ac_top_srcdir;;
1355*)
1356  case $ac_top_srcdir in
1357  .) ac_abs_top_srcdir=$ac_abs_builddir;;
1358  [\\/]* | ?:[\\/]* ) ac_abs_top_srcdir=$ac_top_srcdir;;
1359  *) ac_abs_top_srcdir=$ac_abs_builddir/$ac_top_srcdir;;
1360  esac;;
1361esac
1362
1363
1364  { echo "$as_me:$LINENO: executing $ac_dest commands" >&5
1365echo "$as_me: executing $ac_dest commands" >&6;}
1366  case $ac_dest in
1367    depfiles ) test x"$AMDEP_TRUE" != x"" || for mf in $CONFIG_FILES; do
1368  # Strip MF so we end up with the name of the file.
1369  mf=`echo "$mf" | sed -e 's/:.*$//'`
1370  # Check whether this is an Automake generated Makefile or not.
1371  # We used to match only the files named `Makefile.in', but
1372  # some people rename them; so instead we look at the file content.
1373  # Grep'ing the first line is not enough: some people post-process
1374  # each Makefile.in and add a new line on top of each file to say so.
1375  # So let's grep whole file.
1376  if grep '^#.*generated by automake' $mf > /dev/null 2>&1; then
1377    dirpart=`(dirname "$mf") 2>/dev/null ||
1378$as_expr X"$mf" : 'X\(.*[^/]\)//*[^/][^/]*/*$' \| \
1379	 X"$mf" : 'X\(//\)[^/]' \| \
1380	 X"$mf" : 'X\(//\)$' \| \
1381	 X"$mf" : 'X\(/\)' \| \
1382	 .     : '\(.\)' 2>/dev/null ||
1383echo X"$mf" |
1384    sed '/^X\(.*[^/]\)\/\/*[^/][^/]*\/*$/{ s//\1/; q; }
1385  	  /^X\(\/\/\)[^/].*/{ s//\1/; q; }
1386  	  /^X\(\/\/\)$/{ s//\1/; q; }
1387  	  /^X\(\/\).*/{ s//\1/; q; }
1388  	  s/.*/./; q'`
1389  else
1390    continue
1391  fi
1392  # Extract the definition of DEPDIR, am__include, and am__quote
1393  # from the Makefile without running `make'.
1394  DEPDIR=`sed -n 's/^DEPDIR = //p' < "$mf"`
1395  test -z "$DEPDIR" && continue
1396  am__include=`sed -n 's/^am__include = //p' < "$mf"`
1397  test -z "am__include" && continue
1398  am__quote=`sed -n 's/^am__quote = //p' < "$mf"`
1399  # When using ansi2knr, U may be empty or an underscore; expand it
1400  U=`sed -n 's/^U = //p' < "$mf"`
1401  # Find all dependency output files, they are included files with
1402  # $(DEPDIR) in their names.  We invoke sed twice because it is the
1403  # simplest approach to changing $(DEPDIR) to its actual value in the
1404  # expansion.
1405  for file in `sed -n "
1406    s/^$am__include $am__quote\(.*(DEPDIR).*\)$am__quote"'$/\1/p' <"$mf" | \
1407       sed -e 's/\$(DEPDIR)/'"$DEPDIR"'/g' -e 's/\$U/'"$U"'/g'`; do
1408    # Make sure the directory exists.
1409    test -f "$dirpart/$file" && continue
1410    fdir=`(dirname "$file") 2>/dev/null ||
1411$as_expr X"$file" : 'X\(.*[^/]\)//*[^/][^/]*/*$' \| \
1412	 X"$file" : 'X\(//\)[^/]' \| \
1413	 X"$file" : 'X\(//\)$' \| \
1414	 X"$file" : 'X\(/\)' \| \
1415	 .     : '\(.\)' 2>/dev/null ||
1416echo X"$file" |
1417    sed '/^X\(.*[^/]\)\/\/*[^/][^/]*\/*$/{ s//\1/; q; }
1418  	  /^X\(\/\/\)[^/].*/{ s//\1/; q; }
1419  	  /^X\(\/\/\)$/{ s//\1/; q; }
1420  	  /^X\(\/\).*/{ s//\1/; q; }
1421  	  s/.*/./; q'`
1422    { if $as_mkdir_p; then
1423    mkdir -p $dirpart/$fdir
1424  else
1425    as_dir=$dirpart/$fdir
1426    as_dirs=
1427    while test ! -d "$as_dir"; do
1428      as_dirs="$as_dir $as_dirs"
1429      as_dir=`(dirname "$as_dir") 2>/dev/null ||
1430$as_expr X"$as_dir" : 'X\(.*[^/]\)//*[^/][^/]*/*$' \| \
1431	 X"$as_dir" : 'X\(//\)[^/]' \| \
1432	 X"$as_dir" : 'X\(//\)$' \| \
1433	 X"$as_dir" : 'X\(/\)' \| \
1434	 .     : '\(.\)' 2>/dev/null ||
1435echo X"$as_dir" |
1436    sed '/^X\(.*[^/]\)\/\/*[^/][^/]*\/*$/{ s//\1/; q; }
1437  	  /^X\(\/\/\)[^/].*/{ s//\1/; q; }
1438  	  /^X\(\/\/\)$/{ s//\1/; q; }
1439  	  /^X\(\/\).*/{ s//\1/; q; }
1440  	  s/.*/./; q'`
1441    done
1442    test ! -n "$as_dirs" || mkdir $as_dirs
1443  fi || { { echo "$as_me:$LINENO: error: cannot create directory $dirpart/$fdir" >&5
1444echo "$as_me: error: cannot create directory $dirpart/$fdir" >&2;}
1445   { (exit 1); exit 1; }; }; }
1446
1447    # echo "creating $dirpart/$file"
1448    echo '# dummy' > "$dirpart/$file"
1449  done
1450done
1451 ;;
1452    default-1 )
1453    for ac_file in $CONFIG_FILES; do
1454      # Support "outfile[:infile[:infile...]]"
1455      case "$ac_file" in
1456        *:*) ac_file=`echo "$ac_file"|sed 's%:.*%%'` ;;
1457      esac
1458      # PO directories have a Makefile.in generated from Makefile.in.in.
1459      case "$ac_file" in */Makefile.in)
1460        # Adjust a relative srcdir.
1461        ac_dir=`echo "$ac_file"|sed 's%/[^/][^/]*$%%'`
1462        ac_dir_suffix="/`echo "$ac_dir"|sed 's%^\./%%'`"
1463        ac_dots=`echo "$ac_dir_suffix"|sed 's%/[^/]*%../%g'`
1464        # In autoconf-2.13 it is called $ac_given_srcdir.
1465        # In autoconf-2.50 it is called $srcdir.
1466        test -n "$ac_given_srcdir" || ac_given_srcdir="$srcdir"
1467        case "$ac_given_srcdir" in
1468          .)  top_srcdir=`echo $ac_dots|sed 's%/$%%'` ;;
1469          /*) top_srcdir="$ac_given_srcdir" ;;
1470          *)  top_srcdir="$ac_dots$ac_given_srcdir" ;;
1471        esac
1472        # Treat a directory as a PO directory if and only if it has a
1473        # POTFILES.in file. This allows packages to have multiple PO
1474        # directories under different names or in different locations.
1475        if test -f "$ac_given_srcdir/$ac_dir/POTFILES.in"; then
1476          rm -f "$ac_dir/POTFILES"
1477          test -n "$as_me" && echo "$as_me: creating $ac_dir/POTFILES" || echo "creating $ac_dir/POTFILES"
1478          cat "$ac_given_srcdir/$ac_dir/POTFILES.in" | sed -e "/^#/d" -e "/^[ 	]*\$/d" -e "s,.*,     $top_srcdir/& \\\\," | sed -e "\$s/\(.*\) \\\\/\1/" > "$ac_dir/POTFILES"
1479          POMAKEFILEDEPS="POTFILES.in"
1480          # ALL_LINGUAS, POFILES, UPDATEPOFILES, DUMMYPOFILES, GMOFILES depend
1481          # on $ac_dir but don't depend on user-specified configuration
1482          # parameters.
1483          if test -f "$ac_given_srcdir/$ac_dir/LINGUAS"; then
1484            # The LINGUAS file contains the set of available languages.
1485            if test -n "$OBSOLETE_ALL_LINGUAS"; then
1486              test -n "$as_me" && echo "$as_me: setting ALL_LINGUAS in configure.in is obsolete" || echo "setting ALL_LINGUAS in configure.in is obsolete"
1487            fi
1488            ALL_LINGUAS_=`sed -e "/^#/d" -e "s/#.*//" "$ac_given_srcdir/$ac_dir/LINGUAS"`
1489            # Hide the ALL_LINGUAS assigment from automake.
1490            eval 'ALL_LINGUAS''=$ALL_LINGUAS_'
1491            POMAKEFILEDEPS="$POMAKEFILEDEPS LINGUAS"
1492          else
1493            # The set of available languages was given in configure.in.
1494            eval 'ALL_LINGUAS''=$OBSOLETE_ALL_LINGUAS'
1495          fi
1496          # Compute POFILES
1497          # as      $(foreach lang, $(ALL_LINGUAS), $(srcdir)/$(lang).po)
1498          # Compute UPDATEPOFILES
1499          # as      $(foreach lang, $(ALL_LINGUAS), $(lang).po-update)
1500          # Compute DUMMYPOFILES
1501          # as      $(foreach lang, $(ALL_LINGUAS), $(lang).nop)
1502          # Compute GMOFILES
1503          # as      $(foreach lang, $(ALL_LINGUAS), $(srcdir)/$(lang).gmo)
1504          case "$ac_given_srcdir" in
1505            .) srcdirpre= ;;
1506            *) srcdirpre='$(srcdir)/' ;;
1507          esac
1508          POFILES=
1509          UPDATEPOFILES=
1510          DUMMYPOFILES=
1511          GMOFILES=
1512          for lang in $ALL_LINGUAS; do
1513            POFILES="$POFILES $srcdirpre$lang.po"
1514            UPDATEPOFILES="$UPDATEPOFILES $lang.po-update"
1515            DUMMYPOFILES="$DUMMYPOFILES $lang.nop"
1516            GMOFILES="$GMOFILES $srcdirpre$lang.gmo"
1517          done
1518          # CATALOGS depends on both $ac_dir and the user's LINGUAS
1519          # environment variable.
1520          INST_LINGUAS=
1521          if test -n "$ALL_LINGUAS"; then
1522            for presentlang in $ALL_LINGUAS; do
1523              useit=no
1524              if test "%UNSET%" != "$LINGUAS"; then
1525                desiredlanguages="$LINGUAS"
1526              else
1527                desiredlanguages="$ALL_LINGUAS"
1528              fi
1529              for desiredlang in $desiredlanguages; do
1530                # Use the presentlang catalog if desiredlang is
1531                #   a. equal to presentlang, or
1532                #   b. a variant of presentlang (because in this case,
1533                #      presentlang can be used as a fallback for messages
1534                #      which are not translated in the desiredlang catalog).
1535                case "$desiredlang" in
1536                  "$presentlang"*) useit=yes;;
1537                esac
1538              done
1539              if test $useit = yes; then
1540                INST_LINGUAS="$INST_LINGUAS $presentlang"
1541              fi
1542            done
1543          fi
1544          CATALOGS=
1545          if test -n "$INST_LINGUAS"; then
1546            for lang in $INST_LINGUAS; do
1547              CATALOGS="$CATALOGS $lang.gmo"
1548            done
1549          fi
1550          test -n "$as_me" && echo "$as_me: creating $ac_dir/Makefile" || echo "creating $ac_dir/Makefile"
1551          sed -e "/^POTFILES =/r $ac_dir/POTFILES" -e "/^# Makevars/r $ac_given_srcdir/$ac_dir/Makevars" -e "s|@POFILES@|$POFILES|g" -e "s|@UPDATEPOFILES@|$UPDATEPOFILES|g" -e "s|@DUMMYPOFILES@|$DUMMYPOFILES|g" -e "s|@GMOFILES@|$GMOFILES|g" -e "s|@CATALOGS@|$CATALOGS|g" -e "s|@POMAKEFILEDEPS@|$POMAKEFILEDEPS|g" "$ac_dir/Makefile.in" > "$ac_dir/Makefile"
1552          for f in "$ac_given_srcdir/$ac_dir"/Rules-*; do
1553            if test -f "$f"; then
1554              case "$f" in
1555                *.orig | *.bak | *~) ;;
1556                *) cat "$f" >> "$ac_dir/Makefile" ;;
1557              esac
1558            fi
1559          done
1560        fi
1561        ;;
1562      esac
1563    done ;;
1564    tests/atconfig ) cat >tests/atconfig <<ATEOF
1565# Configurable variable values for building test suites.
1566# Generated by $0.
1567# Copyright (C) 2000, 2001, 2003 Free Software Foundation, Inc.
1568
1569# The test suite will define top_srcdir=$at_top_srcdir/../.. etc.
1570at_testdir='tests'
1571abs_builddir='$ac_abs_builddir'
1572at_srcdir='$ac_srcdir'
1573abs_srcdir='$ac_abs_srcdir'
1574at_top_srcdir='$ac_top_srcdir'
1575abs_top_srcdir='$ac_abs_top_srcdir'
1576at_top_builddir='$ac_top_builddir'
1577abs_top_builddir='$ac_abs_top_builddir'
1578
1579AUTOTEST_PATH='tests'
1580
1581SHELL=\${CONFIG_SHELL-'$SHELL'}
1582ATEOF
1583 ;;
1584  esac
1585done
1586
1587{ (exit 0); exit 0; }
1588